<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.Recover Method
DatabaseEnvironment Class See Also

Restore transactions that were prepared, but not yet resolved at the time of the system shut down or crash, to their state prior to the shut down or crash, including any locks previously held.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public PreparedTransaction[] Recover(
    	uint count,
    	bool resume
    )

Visual Basic (Declaration)

    Public Function Recover ( _
    	count As UInteger, _
    	resume As Boolean _
    ) As PreparedTransaction()

Visual C++

    public:
    array<PreparedTransaction^>^ Recover(
    	unsigned int count,
    	bool resume
    )

#### Parameters

count
  Type: System..::.UInt32
  The maximum number of PreparedTransaction objects to return.

resume
  Type: System..::.Boolean
  If true, continue returning a list of prepared, but not yet resolved transactions, starting where the last call to Recover left off. If false, begins a new pass over all prepared, but not yet completed transactions, regardless of whether they have already been returned in previous calls to Recover.

#### Return Value

A list of the prepared transactions

# Remarks

Calls to Recover from different threads of control should not be intermixed in the same environment.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace